| ## trjcat Main Table of Contents | VERSION 4.5 Thu 26 Aug 2010

### Description

trjcat concatenates several input trajectory files in sorted order. In case of double time frames the one in the later file is used. By specifying `-settime` you will be asked for the start time of each file. The input files are taken from the command line, such that a command like `trjcat -o fixed.trr *.trr` should do the trick. Using `-cat` you can simply paste several files together without removal of frames with identical time stamps.

One important option is inferred when the output file is amongst the input files. In that case that particular file will be appended to which implies you do not need to store double the amount of data. Obviously the file to append to has to be the one with lowest starting time since one can only append at the end of a file.

If the `-demux` option is given, the N trajectories that are read, are written in another order as specified in the xvg file. The xvg file should contain something like:

0 0 1 2 3 4 5
2 1 0 2 3 5 4
Where the first number is the time, and subsequent numbers point to trajectory indices. The frames corresponding to the numbers present at the first line are collected into the output trajectory. If the number of frames in the trajectory does not match that in the xvg file then the program tries to be smart. Beware.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `traj.xtc` | Input, Mult. | Trajectory: xtc trr trj gro g96 pdb cpt
`-o` | `trajout.xtc` | Output, Mult. | Trajectory: xtc trr trj gro g96 pdb
`-n` | `index.ndx` | Input, Opt. | Index file
`-demux` | `remd.xvg` | Input, Opt. | xvgr/xmgr file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | gmx_bool | `no` | Print help info and quit
`-[no]version` | gmx_bool | `no` | Print version info and quit
`-nice` | int | `19` | Set the nicelevel
`-tu` | enum | `ps` | Time unit: `fs`, `ps`, `ns`, `us`, `ms` or `s`
`-xvg` | enum | `xmgrace` | xvg plot formatting: `xmgrace`, `xmgr` or `none`
`-b` | time | `-1` | First time to use (ps)
`-e` | time | `-1` | Last time to use (ps)
`-dt` | time | `0` | Only write frame when t MOD dt = first time (ps)
`-prec` | int | `3` | Precision for .xtc and .gro writing in number of decimal places
`-[no]vel` | gmx_bool | `yes` | Read and write velocities if possible
`-[no]settime` | gmx_bool | `no` | Change starting time interactively
`-[no]sort` | gmx_bool | `yes` | Sort trajectory files (not frames)
`-[no]keeplast` | gmx_bool | `no` | keep overlapping frames at end of trajectory
`-[no]overwrite` | gmx_bool | `no` | overwrite overlapping frames during appending
`-[no]cat` | gmx_bool | `no` | do not discard double time frames

http://www.gromacs.org
gromacs@gromacs.org